CSIT-1193 Update of perf jobs 26/13926/4
authorPeter Mikus <pmikus@cisco.com>
Fri, 3 Aug 2018 09:52:50 +0000 (09:52 +0000)
committerPeter Mikus <pmikus@cisco.com>
Fri, 10 Aug 2018 15:59:32 +0000 (15:59 +0000)
- Unify the bootstraps
- Cleanup old jobs
- Cleanup old branches
- Add weekly NDRPDR jobs

Change-Id: Icc1ad1fe002d9409e5fcd6e4aa0b674def07724e
Signed-off-by: Peter Mikus <pmikus@cisco.com>
jjb/csit/csit.yaml
jjb/csit/include-raw-csit-dpdk-perf-hw.sh [deleted file]
jjb/csit/include-raw-csit-dpdk-perf-mrr-weekly.sh [deleted file]
jjb/csit/include-raw-csit-dpdk-perf-verify.sh [deleted file]
jjb/csit/include-raw-csit-ligato-perf-hw.sh [deleted file]
jjb/csit/include-raw-csit-perf-timed.sh [moved from jjb/csit/include-raw-csit-vpp-perf-trend-daily.sh with 97% similarity]
jjb/csit/include-raw-csit-perf-verify.sh [moved from jjb/csit/include-raw-csit-vpp-perf-verify.sh with 91% similarity]
jjb/csit/include-raw-csit-vpp-perf-hw.sh [deleted file]
jjb/csit/include-raw-csit-vpp-perf-mrr-daily.sh [deleted file]
jjb/csit/include-raw-csit-vpp-perf-trend-semi-weekly.sh [deleted file]

index 632b30c..7de5885 100644 (file)
         - 'csit-report-merge-{stream}'
         - 'csit-report-merge-1801_2'
         - 'csit-trending-daily-master'
-        - 'csit-dpdk-perf-{stream}-{type}'
         - 'csit-dpdk-perf-verify-{stream}-{topo}-{arch}'
         - 'csit-dpdk-perf-mrr-weekly-master'
         - 'csit-ligato-perf-{stream}-{type}'
-        - 'csit-vpp-perf-{stream}-{type}'
-        - 'csit-vpp-perf-trend-daily-master'
-        - 'csit-vpp-perf-trend-semi-weekly-master'
         - 'csit-vpp-perf-mrr-daily-master'
+        - 'csit-vpp-perf-mrr-daily-master-2n-skx'
+        - 'csit-vpp-perf-mrr-daily-master-3n-skx'
+        - 'csit-vpp-perf-ndrpdr-weekly-master-3n-hsw'
+        - 'csit-vpp-perf-ndrpdr-weekly-master-2n-skx'
+        - 'csit-vpp-perf-ndrpdr-weekly-master-3n-skx'
         - 'csit-vpp-perf-verify-{stream}-{topo}-{arch}'
         - 'csit-nsh_sfc-verify-perf-{stream}'
         - 'csit-nsh_sfc-verify-func-{stream}-{os}-virl'
         - master:
             branch: 'master'
             branch-id: 'oper'
-        - '1707':
-            branch: 'rls1707'
-            branch-id: 'oper-rls1707'
-        - '1710':
-            branch: 'rls1710'
-            branch-id: 'oper-rls1710'
         - '1801':
             branch: 'rls1801'
             branch-id: 'oper-rls1801'
         - fdio-infra-shiplogs:
             maven-version: 'mvn33-new'
 
-- job-template:
-    name: 'csit-dpdk-perf-{stream}-{type}'
-
-    project-type: freestyle
-    node: 'ubuntu1604-basebuild-4c-4g'
-    concurrent: true
-
-    logrotate:
-        daysToKeep: '{build-days-to-keep}'
-        numToKeep: '{build-num-to-keep}'
-        artifactDaysToKeep: '{build-artifact-days-to-keep}'
-        artifactNumToKeep: '{build-artifact-num-to-keep}'
-
-    parameters:
-        - project-parameter:
-            project: '{project}'
-        - gerrit-parameter:
-            branch: '{branch}'
-        - type-parameter:
-            type: '{type}'
-
-    scm:
-        - gerrit-trigger-scm:
-            credentials-id: 'jenkins-gerrit-credentials'
-            refspec: '$GERRIT_REFSPEC'
-            choosing-strategy: 'gerrit'
-
-    wrappers:
-        - fdio-infra-wrappers-non-activity-timeout:
-            build-timeout: '{build-timeout}'
-
-    triggers:
-        - gerrit-trigger-manually-triggered:
-            name: '{project}'
-            branch: '{branch}'
-            comment-trigger-value: 'verify-perf-dpdk-{type}'
-
-    builders:
-        - shell:
-            !include-raw-escape: jjb/csit/include-raw-csit-dpdk-perf-hw.sh
-
-    publishers:
-        - archive-artifacts:
-            artifacts: 'archive/*.*'
-            latest-only: false
-
-        - robot:
-            output-path: archive
-            other-files:
-              - '*.*'
-
-        - fdio-infra-shiplogs:
-            maven-version: 'mvn33-new'
-
 - job-template:
     name: 'csit-dpdk-perf-verify-{stream}-{topo}-{arch}'
 
 
     builders:
         - shell:
-            !include-raw-escape: jjb/csit/include-raw-csit-dpdk-perf-verify.sh
-
-    publishers:
-        - archive-artifacts:
-            artifacts: 'archive/*.*'
-            latest-only: false
-
-        - robot:
-            output-path: archive
-            other-files:
-              - '*.*'
-
-        - fdio-infra-shiplogs:
-            maven-version: 'mvn33-new'
-
-- job-template:
-    name: 'csit-vpp-perf-{stream}-{type}'
-
-    project-type: freestyle
-    node: 'ubuntu1604-basebuild-8c-32g'
-    concurrent: true
-
-    logrotate:
-        daysToKeep: '{build-days-to-keep}'
-        numToKeep: '{build-num-to-keep}'
-        artifactDaysToKeep: '{build-artifact-days-to-keep}'
-        artifactNumToKeep: '{build-artifact-num-to-keep}'
-
-    parameters:
-        - project-parameter:
-            project: '{project}'
-        - gerrit-parameter:
-            branch: '{branch}'
-        - type-parameter:
-            type: '{type}'
-
-    scm:
-        - gerrit-trigger-scm:
-            credentials-id: 'jenkins-gerrit-credentials'
-            refspec: '$GERRIT_REFSPEC'
-            choosing-strategy: 'gerrit'
-
-    wrappers:
-        - fdio-infra-wrappers-non-activity-timeout:
-            build-timeout: '{build-timeout}'
-
-    triggers:
-        - gerrit-trigger-manually-triggered:
-            name: '{project}'
-            branch: '{branch}'
-            comment-trigger-value: 'verify-perf-{type}'
-
-    builders:
-        - shell:
-            !include-raw-escape: jjb/csit/include-raw-csit-vpp-perf-hw.sh
+            !include-raw-escape: jjb/csit/include-raw-csit-perf-verify.sh
 
     publishers:
         - archive-artifacts:
 
     builders:
         - shell:
-            !include-raw-escape: jjb/csit/include-raw-csit-ligato-perf-hw.sh
+            !include-raw-escape: jjb/csit/include-raw-csit-perf-verify.sh
 
     publishers:
         - archive-artifacts:
             maven-version: 'mvn33-new'
 
 - job-template:
-    name: 'csit-vpp-perf-trend-daily-master'
+    name: 'csit-vpp-perf-ndrpdr-weekly-master-3n-hsw'
 
     description: |
-      Purpose of this job is to validate latest vpp build from corresponding
-      branch stored in nexus against verified CSIT codebase of corresponding
-      branch.
-
-      objective
-          daily perf trending of vpp master build
-      job
-         name
-             csit-vpp-perf-trend-daily
-         trigger
-             scheduled daily
-      perf test-cases selection
-          all CSIT perf suites
-      default tags for vpp startup config and perf test type
-          1T1C - one worker thread, one core
-          2T2C - two worker threads, two cores
-          X520 - Intel x520-DA2 NIC
-          NDRDISC - discovery of NDR throughput
-      results
-          jjb verify - no
-          present
-              jenkins trending graphs
-
+      <ul>
+          <li>objective
+              <ul>
+                  <li>check vpp perf ndrpdr weekly on 3n-hsw
+              </ul>
+          <li>perf test-cases selection
+              <ul>
+                  <li>pre-selected CSIT VPP NDRPDR perf suites
+              </ul>
+          <li>results
+              <ul>
+                  <li>jjb verify: PASS/FAIL
+                  <li>present: no
+                  <li>analyse: csit project (catch malfunctions/degradations)
+              </ul>
+      </ul>
     project-type: freestyle
     node: 'ubuntu1604-basebuild-4c-4g'
     concurrent: false
         - fdio-infra-wrappers-non-activity-timeout:
             build-timeout: '{build-timeout}'
 
+    triggers:
+        - timed: '0 0 * * 6'
+
     builders:
         - shell: 'echo "BRANCH_ID={branch-id}" > $WORKSPACE/variables.prop'
         - inject:
             properties-file: variables.prop
         - shell:
-            !include-raw-escape: jjb/csit/include-raw-csit-vpp-perf-trend-daily.sh
+            !include-raw-escape: jjb/csit/include-raw-csit-perf-timed.sh
 
     publishers:
         - archive-artifacts:
             maven-version: 'mvn33-new'
 
 - job-template:
-    name: 'csit-vpp-perf-trend-semi-weekly-master'
+    name: 'csit-vpp-perf-ndrpdr-weekly-master-2n-skx'
 
     description: |
-      Purpose of this job is to validate latest vpp build from corresponding
-      branch stored in nexus against verified CSIT codebase of corresponding
-      branch.
-
-      consumer
-          csit-dev trending semi-weekly
-      objective
-          semi-weekly perf trending of vpp master build job
-          name
-              csit-vpp-perf-trend-semi-weekly
-          trigger
-              scheduled semi-weekly
-      perf test-cases selection
-          all CSIT perf suites
-      default tags for vpp startup config and perf test type
-          1T1C - one worker thread, one core
-          2T2C - two worker threads, two cores
-          X710 - Intel x710 Fortville NIC
-          XL710 - Intel xl710 Fortville NIC
-          NDRDISC - discovery of NDR throughput
-      results
-          jjb verify - no
-          present
-              jenkins trending graphs
+      <ul>
+          <li>objective
+              <ul>
+                  <li>check vpp perf ndrpdr weekly
+              </ul>
+          <li>perf test-cases selection
+              <ul>
+                  <li>pre-selected CSIT VPP NDRPDR perf suites
+              </ul>
+          <li>results
+              <ul>
+                  <li>jjb verify: PASS/FAIL
+                  <li>present: no
+                  <li>analyse: csit project (catch malfunctions/degradations)
+              </ul>
+      </ul>
+    project-type: freestyle
+    node: 'ubuntu1604-basebuild-4c-4g'
+    concurrent: false
+
+    logrotate:
+        daysToKeep: '{build-days-to-keep}'
+        numToKeep: '{build-num-to-keep}'
+        artifactDaysToKeep: '{build-artifact-days-to-keep}'
+        artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - gerrit-parameter:
+            branch: '{branch}'
+
+    wrappers:
+        - fdio-infra-wrappers-non-activity-timeout:
+            build-timeout: '{build-timeout}'
+
+    triggers:
+        - timed: '0 0 * * 6'
+
+    builders:
+        - shell: 'echo "BRANCH_ID={branch-id}" > $WORKSPACE/variables.prop'
+        - inject:
+            properties-file: variables.prop
+        - shell:
+            !include-raw-escape: jjb/csit/include-raw-csit-perf-timed.sh
+
+    publishers:
+        - archive-artifacts:
+            artifacts: 'csit/archive/*.*'
+            latest-only: false
+
+        - robot:
+            output-path: 'csit/archive'
+            other-files:
+              - '*.*'
+
+        - fdio-infra-shiplogs:
+            maven-version: 'mvn33-new'
 
+- job-template:
+    name: 'csit-vpp-perf-ndrpdr-weekly-master-3n-skx'
+
+    description: |
+      <ul>
+          <li>objective
+              <ul>
+                  <li>check vpp perf ndrpdr weekly
+              </ul>
+          <li>perf test-cases selection
+              <ul>
+                  <li>pre-selected CSIT VPP NDRPDR perf suites
+              </ul>
+          <li>results
+              <ul>
+                  <li>jjb verify: PASS/FAIL
+                  <li>present: no
+                  <li>analyse: csit project (catch malfunctions/degradations)
+              </ul>
+      </ul>
     project-type: freestyle
     node: 'ubuntu1604-basebuild-4c-4g'
     concurrent: false
         - fdio-infra-wrappers-non-activity-timeout:
             build-timeout: '{build-timeout}'
 
+    triggers:
+        - timed: '0 0 * * 6'
+
     builders:
         - shell: 'echo "BRANCH_ID={branch-id}" > $WORKSPACE/variables.prop'
         - inject:
             properties-file: variables.prop
         - shell:
-            !include-raw-escape: jjb/csit/include-raw-csit-vpp-perf-trend-semi-weekly.sh
+            !include-raw-escape: jjb/csit/include-raw-csit-perf-timed.sh
 
     publishers:
         - archive-artifacts:
     name: 'csit-vpp-perf-mrr-daily-master'
 
     description: |
-      objective
-          check vpp perf mrr daily
-      job
-          name
-              csit-vpp-perf-mrr-daily
-          trigger
-              twice a day
-      perf test-cases selection
-          all CSIT MRR perf suites
-      results
-          jjb verify
-              PASS/FAIL
-          present
-              no
-          analyse
-              csit project
-                  catch malfunctions
-                  catch degradations
+      <ul>
+          <li>objective
+              <ul>
+                  <li>check vpp perf mrr daily
+              </ul>
+          <li>perf test-cases selection
+              <ul>
+                  <li>all CSIT VPP MRR perf suites
+              </ul>
+          <li>results
+              <ul>
+                  <li>jjb verify: PASS/FAIL
+                  <li>present: no
+                  <li>analyse: csit project (catch malfunctions/degradations)
+              </ul>
+      </ul>
 
     project-type: freestyle
     node: 'ubuntu1604-basebuild-4c-4g'
         - inject:
             properties-file: variables.prop
         - shell:
-            !include-raw-escape: jjb/csit/include-raw-csit-vpp-perf-mrr-daily.sh
+            !include-raw-escape: jjb/csit/include-raw-csit-perf-timed.sh
+
+    publishers:
+        - archive-artifacts:
+            artifacts: 'csit/archive/*.*'
+            latest-only: false
+
+        - robot:
+            output-path: 'csit/archive'
+            other-files:
+              - '*.*'
+
+        - trigger:
+            project: 'csit-trending-daily-master'
+            threshold: 'FAILURE'
+
+        - fdio-infra-shiplogs:
+            maven-version: 'mvn33-new'
+
+- job-template:
+    name: 'csit-vpp-perf-mrr-daily-master-2n-skx'
+
+    description: |
+      <ul>
+          <li>objective
+              <ul>
+                  <li>check vpp perf mrr daily
+              </ul>
+          <li>perf test-cases selection
+              <ul>
+                  <li>all CSIT VPP MRR perf suites
+              </ul>
+          <li>results
+              <ul>
+                  <li>jjb verify: PASS/FAIL
+                  <li>present: no
+                  <li>analyse: csit project (catch malfunctions/degradations)
+              </ul>
+      </ul>
+
+    project-type: freestyle
+    node: 'ubuntu1604-basebuild-4c-4g'
+    concurrent: true
+
+    logrotate:
+        daysToKeep: '{build-days-to-keep}'
+        numToKeep: '{build-num-to-keep}'
+        artifactDaysToKeep: '{build-artifact-days-to-keep}'
+        artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - gerrit-parameter:
+            branch: '{branch}'
+
+    wrappers:
+        - fdio-infra-wrappers-non-activity-timeout:
+            build-timeout: '{build-timeout}'
+
+    triggers:
+        # - timed: '0 2,16 * * *'
+        - timed: '0 16 * * 1,3,5'
+
+    builders:
+        - shell: 'echo "BRANCH_ID={branch-id}" > $WORKSPACE/variables.prop'
+        - inject:
+            properties-file: variables.prop
+        - shell:
+            !include-raw-escape: jjb/csit/include-raw-csit-perf-timed.sh
+
+    publishers:
+        - archive-artifacts:
+            artifacts: 'csit/archive/*.*'
+            latest-only: false
+
+        - robot:
+            output-path: 'csit/archive'
+            other-files:
+              - '*.*'
+
+        - trigger:
+            project: 'csit-trending-daily-master'
+            threshold: 'FAILURE'
+
+        - fdio-infra-shiplogs:
+            maven-version: 'mvn33-new'
+
+- job-template:
+    name: 'csit-vpp-perf-mrr-daily-master-3n-skx'
+
+    description: |
+      <ul>
+          <li>objective
+              <ul>
+                  <li>check vpp perf mrr daily
+              </ul>
+          <li>perf test-cases selection
+              <ul>
+                  <li>all CSIT VPP MRR perf suites
+              </ul>
+          <li>results
+              <ul>
+                  <li>jjb verify: PASS/FAIL
+                  <li>present: no
+                  <li>analyse: csit project (catch malfunctions/degradations)
+              </ul>
+      </ul>
+
+    project-type: freestyle
+    node: 'ubuntu1604-basebuild-4c-4g'
+    concurrent: true
+
+    logrotate:
+        daysToKeep: '{build-days-to-keep}'
+        numToKeep: '{build-num-to-keep}'
+        artifactDaysToKeep: '{build-artifact-days-to-keep}'
+        artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - gerrit-parameter:
+            branch: '{branch}'
+
+    wrappers:
+        - fdio-infra-wrappers-non-activity-timeout:
+            build-timeout: '{build-timeout}'
+
+    triggers:
+        # - timed: '0 2,16 * * *'
+        - timed: '0 16 * * 1,3,5'
+
+    builders:
+        - shell: 'echo "BRANCH_ID={branch-id}" > $WORKSPACE/variables.prop'
+        - inject:
+            properties-file: variables.prop
+        - shell:
+            !include-raw-escape: jjb/csit/include-raw-csit-perf-timed.sh
 
     publishers:
         - archive-artifacts:
     name: 'csit-dpdk-perf-mrr-weekly-master'
 
     description: |
-      objective
-          check dpdk perf mrr weekly
-      job
-          name
-              csit-dpdk-perf-mrr-weekly-master
-          trigger
-              weekly
-      perf test-cases selection
-          all CSIT DPDK MRR perf suites
-      results
-          jjb verify
-              PASS/FAIL
-          present
-              no
-          analyse
-              csit project
-                  catch malfunctions
-                  catch degradations
+      <ul>
+          <li>objective
+              <ul>
+                  <li>check dpdk perf mrr weekly
+              </ul>
+          <li>perf test-cases selection
+              <ul>
+                  <li>all CSIT DPDK MRR perf suites
+              </ul>
+          <li>results
+              <ul>
+                  <li>jjb verify: PASS/FAIL
+                  <li>present: no
+                  <li>analyse: csit project (catch malfunctions/degradations)
+              </ul>
+      </ul>
 
     project-type: freestyle
     node: 'ubuntu1604-basebuild-4c-4g'
         - inject:
             properties-file: variables.prop
         - shell:
-            !include-raw-escape: jjb/csit/include-raw-csit-dpdk-perf-mrr-weekly.sh
+            !include-raw-escape: jjb/csit/include-raw-csit-perf-timed.sh
 
     publishers:
         - archive-artifacts:
 
     builders:
         - shell:
-            !include-raw-escape: jjb/csit/include-raw-csit-vpp-perf-verify.sh
+            !include-raw-escape: jjb/csit/include-raw-csit-perf-verify.sh
 
     publishers:
         - archive-artifacts:
diff --git a/jjb/csit/include-raw-csit-dpdk-perf-hw.sh b/jjb/csit/include-raw-csit-dpdk-perf-hw.sh
deleted file mode 100644 (file)
index 4b513fb..0000000
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/bin/bash
-
-export TEST_TAG="PERFTEST_${TYPE^^}"
-
-# execute csit bootstrap script if it exists
-if [ ! -e bootstrap-verify-perf-DPDK.sh ]
-then
-    echo 'ERROR: No bootstrap-verify-perf-DPDK.sh found'
-    exit 1
-fi
-
-# make sure that bootstrap-verify-perf.sh is executable
-chmod +x bootstrap-verify-perf-DPDK.sh
-# run the script
-./bootstrap-verify-perf-DPDK.sh *.deb
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/csit/include-raw-csit-dpdk-perf-mrr-weekly.sh b/jjb/csit/include-raw-csit-dpdk-perf-mrr-weekly.sh
deleted file mode 100644 (file)
index 8995ae9..0000000
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/bin/bash
-set -xeu -o pipefail
-
-# check BRANCH_ID value
-if [ "$BRANCH_ID" == "" ]; then
-    echo "branch_id not provided => 'master' will be used"
-    BRANCH_ID="master"
-fi
-
-# make sure there is no csit directory
-if [ -d "./csit/" ]; then
-    rm -rf ./csit/
-fi
-
-# clone csit
-git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit
-
-# if the git clone fails, complain clearly and exit
-if [ $? != 0 ]; then
-    echo "Failed to run: git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit"
-    exit 1
-fi
-
-cd csit
-
-# get the latest verified version of the required branch
-BRANCH_NAME=$(echo $(git branch -r | grep -E "${BRANCH_ID}-[0-9]+" | tail -n 1))
-
-if [ "${BRANCH_NAME}" == "" ]; then
-    echo "No verified version found for requested branch - exiting"
-    exit 1
-fi
-
-# remove 'origin/' from the branch name
-BRANCH_NAME=$(echo ${BRANCH_NAME#origin/})
-
-# checkout to the required branch
-git checkout ${BRANCH_NAME}
-
-export TEST_TAG="PERFTEST_MRR_DAILY"
-
-# execute csit bootstrap script if it exists
-if [ -e bootstrap-verify-perf-DPDK.sh ]
-then
-    # make sure that bootstrap.sh is executable
-    chmod +x bootstrap-verify-perf-DPDK.sh
-    # run the script
-    ./bootstrap-verify-perf-DPDK.sh
-else
-    echo 'ERROR: No bootstrap-verify-perf-DPDK.sh found'
-    exit 1
-fi
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/csit/include-raw-csit-dpdk-perf-verify.sh b/jjb/csit/include-raw-csit-dpdk-perf-verify.sh
deleted file mode 100644 (file)
index 8e6baa7..0000000
+++ /dev/null
@@ -1,28 +0,0 @@
-#!/bin/bash
-
-set -xeu -o pipefail
-
-if [[ ${GERRIT_EVENT_TYPE} == 'comment-added' ]]; then
-    TRIGGER=`echo ${GERRIT_EVENT_COMMENT_TEXT} \
-        | grep -oE '(perftest$|perftest[[:space:]].+$)'`
-else
-    TRIGGER=''
-fi
-# Export test type.
-export TEST_TAG="VERIFY-PERF-PATCH"
-# Export test tags as string.
-export TEST_TAG_STRING=${TRIGGER#$"perftest"}
-
-# execute csit bootstrap script if it exists
-if [ ! -e bootstrap-verify-perf-DPDK.sh ]
-then
-    echo 'ERROR: No bootstrap-verify-perf-DPDK.sh found'
-    exit 1
-fi
-
-# make sure that bootstrap-verify-perf-DPDK.sh is executable
-chmod +x bootstrap-verify-perf-DPDK.sh
-# run the script
-./bootstrap-verify-perf-DPDK.sh
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/csit/include-raw-csit-ligato-perf-hw.sh b/jjb/csit/include-raw-csit-ligato-perf-hw.sh
deleted file mode 100644 (file)
index bd1c2f8..0000000
+++ /dev/null
@@ -1,21 +0,0 @@
-#!/bin/bash
-
-export TEST_TAG="PERFTEST_${TYPE^^}"
-
-# execute csit bootstrap script if it exists
-if [ ! -e bootstrap-verify-perf-ligato.sh ]
-then
-    echo 'ERROR: No bootstrap-verify-perf-ligato.sh found'
-    exit 1
-fi
-
-# make sure that bootstrap-verify-perf-ligato.sh is executable
-chmod +x bootstrap-verify-perf-ligato.sh
-
-# get commit ID from name of stable ver
-VPP_BUILD_COMMIT="$( expr match `cat VPP_STABLE_VER_UBUNTU` '.*g\(.*\)~.*' )"
-
-# run the script
-./bootstrap-verify-perf-ligato.sh ${VPP_BUILD_COMMIT}
-
-# vim: ts=4 ts=4 sts=4 et :
similarity index 97%
rename from jjb/csit/include-raw-csit-vpp-perf-trend-daily.sh
rename to jjb/csit/include-raw-csit-perf-timed.sh
index 1c02a67..55605d7 100644 (file)
@@ -37,8 +37,6 @@ BRANCH_NAME=$(echo ${BRANCH_NAME#origin/})
 # checkout to the required branch
 git checkout ${BRANCH_NAME}
 
-export TEST_TAG="PERFTEST_DAILY"
-
 # execute csit bootstrap script if it exists
 if [ -e bootstrap-verify-perf.sh ]
 then
similarity index 91%
rename from jjb/csit/include-raw-csit-vpp-perf-verify.sh
rename to jjb/csit/include-raw-csit-perf-verify.sh
index ded4cee..67007c4 100644 (file)
@@ -8,8 +8,6 @@ if [[ ${GERRIT_EVENT_TYPE} == 'comment-added' ]]; then
 else
     TRIGGER=''
 fi
-# Export test type.
-export TEST_TAG="VERIFY-PERF-PATCH"
 # Export test tags as string.
 export TEST_TAG_STRING=${TRIGGER#$"perftest"}
 
diff --git a/jjb/csit/include-raw-csit-vpp-perf-hw.sh b/jjb/csit/include-raw-csit-vpp-perf-hw.sh
deleted file mode 100644 (file)
index 8bc493a..0000000
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/bin/bash
-
-export TEST_TAG="PERFTEST_${TYPE^^}"
-
-# execute csit bootstrap script if it exists
-if [ ! -e bootstrap-verify-perf.sh ]
-then
-    echo 'ERROR: No bootstrap-verify-perf.sh found'
-    exit 1
-fi
-
-# make sure that bootstrap-verify-perf.sh is executable
-chmod +x bootstrap-verify-perf.sh
-# run the script
-./bootstrap-verify-perf.sh *.deb
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/csit/include-raw-csit-vpp-perf-mrr-daily.sh b/jjb/csit/include-raw-csit-vpp-perf-mrr-daily.sh
deleted file mode 100644 (file)
index 32afbc7..0000000
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/bin/bash
-set -xeu -o pipefail
-
-# check BRANCH_ID value
-if [ "$BRANCH_ID" == "" ]; then
-    echo "branch_id not provided => 'master' will be used"
-    BRANCH_ID="master"
-fi
-
-# make sure there is no csit directory
-if [ -d "./csit/" ]; then
-    rm -rf ./csit/
-fi
-
-# clone csit
-git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit
-
-# if the git clone fails, complain clearly and exit
-if [ $? != 0 ]; then
-    echo "Failed to run: git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit"
-    exit 1
-fi
-
-cd csit
-
-# get the latest verified version of the required branch
-BRANCH_NAME=$(echo $(git branch -r | grep -E "${BRANCH_ID}-[0-9]+" | tail -n 1))
-
-if [ "${BRANCH_NAME}" == "" ]; then
-    echo "No verified version found for requested branch - exiting"
-    exit 1
-fi
-
-# remove 'origin/' from the branch name
-BRANCH_NAME=$(echo ${BRANCH_NAME#origin/})
-
-# checkout to the required branch
-git checkout ${BRANCH_NAME}
-
-export TEST_TAG="PERFTEST_MRR_DAILY"
-
-# execute csit bootstrap script if it exists
-if [ -e bootstrap-verify-perf.sh ]
-then
-    # make sure that bootstrap.sh is executable
-    chmod +x bootstrap-verify-perf.sh
-    # run the script
-    ./bootstrap-verify-perf.sh
-else
-    echo 'ERROR: No bootstrap-verify-perf.sh found'
-    exit 1
-fi
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/csit/include-raw-csit-vpp-perf-trend-semi-weekly.sh b/jjb/csit/include-raw-csit-vpp-perf-trend-semi-weekly.sh
deleted file mode 100644 (file)
index 972dfe6..0000000
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/bin/bash
-set -xeu -o pipefail
-
-# check BRANCH_ID value
-if [ "$BRANCH_ID" == "" ]; then
-    echo "branch_id not provided => 'master' will be used"
-    BRANCH_ID="master"
-fi
-
-# make sure there is no csit directory
-if [ -d "./csit/" ]; then
-    rm -rf ./csit/
-fi
-
-# clone csit
-git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit
-
-# if the git clone fails, complain clearly and exit
-if [ $? != 0 ]; then
-    echo "Failed to run: git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit"
-    exit 1
-fi
-
-cd csit
-
-# get the latest verified version of the required branch
-BRANCH_NAME=$(echo $(git branch -r | grep -E "${BRANCH_ID}-[0-9]+" | tail -n 1))
-
-if [ "${BRANCH_NAME}" == "" ]; then
-    echo "No verified version found for requested branch - exiting"
-    exit 1
-fi
-
-# remove 'origin/' from the branch name
-BRANCH_NAME=$(echo ${BRANCH_NAME#origin/})
-
-# checkout to the required branch
-git checkout ${BRANCH_NAME}
-
-export TEST_TAG="PERFTEST_SEMI_WEEKLY"
-
-# execute csit bootstrap script if it exists
-if [ -e bootstrap-verify-perf.sh ]
-then
-    # make sure that bootstrap.sh is executable
-    chmod +x bootstrap-verify-perf.sh
-    # run the script
-    ./bootstrap-verify-perf.sh
-else
-    echo 'ERROR: No bootstrap-verify-perf.sh found'
-    exit 1
-fi
-
-# vim: ts=4 ts=4 sts=4 et :